SSS_OBFUSCATE(8)

NAME
sss_obfuscate - obscurcir un mot de passe en clair

SYNOPSIS

sss_obfuscate [options] [PASSWORD]

DESCRIPTION

sss_obfuscate convertit un mot de passe donné en un format illisible par un humain et le place dans la section de domaine appropriée du fichier de configuration SSSD.

Le mot de passe en clair est lu dans l'entrée standard ou entré interactivement. Les mots de passes chiffrés sont mis dans “ldap_default_authtok” pour un domaine SSSD donné et le paramètre “ldap_default_authtok_type” est défini à “obfuscated_password”. Cf. sssd-ldap(5) pour plus de détails sur ces paramètres.

Veuillez noter que les mots de passe chiffrés ne fournissent aucun réel bénéfice de sécurité étant donné qu'il est possible de retrouver le mot de passe par ingénierie-inverse. Utiliser un meilleur mécanisme d'authentification tel que les certificats côté client ou GSSAPI est très conseillé.

OPTIONS

-h,--help
    Affiche l'aide et quitte.

-s,--stdin
    Le mot de passe chiffré sera lu sur l'entrée standard.

-d,--domain DOMAINE
    Le domaine SSSD auquel est lié le mot de passe. Le nom par défaut est “default”.

-f,--file FICHIER
    Lit le fichier de configuration spécifié par le paramètre.

    Par défaut : /etc/sssd/sssd.conf

VOIR AUSSI

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/